umbrello: CPPCodeGenerationPolicyPage Class Reference

umbrello 25.04.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Slots | Public Member Functions | Protected Attributes | List of all members
CPPCodeGenerationPolicyPage Class Reference

`#include <cppcodegenerationpolicypage.h>`

Inheritance diagram for CPPCodeGenerationPolicyPage:

## Public Slots
void | apply ()
Public Slots inherited from CodeGenerationPolicyPage
virtual void | apply ()

## Public Member Functions
| CPPCodeGenerationPolicyPage (QWidget *parent=nullptr, const char *name=nullptr, CPPCodeGenerationPolicy *policy=nullptr)
virtual | ~CPPCodeGenerationPolicyPage ()
Public Member Functions inherited from CodeGenerationPolicyPage
| CodeGenerationPolicyPage (QWidget *parent=nullptr, const char *name=nullptr, CodeGenPolicyExt *policy=nullptr)
virtual | ~CodeGenerationPolicyPage ()
void | setDefaults ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Attributes
CPPCodeGenerationForm * | form
Protected Attributes inherited from CodeGenerationPolicyPage
CodeGenPolicyExt * | m_parentPolicy
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Additional Inherited Members
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Detailed Description

Author
  Brian Thomas

## Constructor & Destructor Documentation

## ◆ CPPCodeGenerationPolicyPage()

CPPCodeGenerationPolicyPage::CPPCodeGenerationPolicyPage | ( | QWidget * | parent = nullptr,
|  | const char * | name = nullptr,
|  | CPPCodeGenerationPolicy * | policy = nullptr )
| explicit

## ◆ ~CPPCodeGenerationPolicyPage()

CPPCodeGenerationPolicyPage::~CPPCodeGenerationPolicyPage | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ apply

void CPPCodeGenerationPolicyPage::apply | ( |  | ) |
| slot

## Member Data Documentation

## ◆ form

CPPCodeGenerationForm* CPPCodeGenerationPolicyPage::form
| protected

The documentation for this class was generated from the following files:

- umbrello/codegenerators/cpp/cppcodegenerationpolicypage.h
- umbrello/codegenerators/cpp/cppcodegenerationpolicypage.cpp